local L = LibStub("AceLocale-3.0"):GetLocale("EveryQuest")
local BZ = LibStub("LibBabble-Zone-3.0"):GetLookupTable()

local classes = {}
FillLocalizedClassList(classes)

EQ_zones = { -- Dropdown Zone list
	{"Eastern Kingdoms", {
		{36, BZ["Alterac Mountains"]},
		{45, BZ["Arathi Highlands"]},
		{3, BZ["Badlands"]},
		{25, BZ["Blackrock Mountain"]},
		{4, BZ["Blasted Lands"]},
		{46, BZ["Burning Steppes"]},
		{279, BZ["Dalaran"]},
		{41, BZ["Deadwind Pass"]},
		{2257, BZ["Deeprun Tram"]},
		{1, BZ["Dun Morogh"]},
		{10, BZ["Duskwood"]},
		{139, BZ["Eastern Plaguelands"]},
		{12, BZ["Elwynn Forest"]},
		{3430, BZ["Eversong Woods"]},
		{3433, BZ["Ghostlands"]},
		{267, BZ["Hillsbrad Foothills"]},
		{1537, BZ["Ironforge"]},
		{4080, BZ["Isle of Quel'Danas"]},
		{38, BZ["Loch Modan"]},
		{44, BZ["Redridge Mountains"]},
		{51, BZ["Searing Gorge"]},
		{3487, BZ["Silvermoon City"]},
		{130, BZ["Silverpine Forest"]},
		{1519, BZ["Stormwind City"]},
		{33, BZ["Stranglethorn Vale"]},
		{8, BZ["Swamp of Sorrows"]},
		{47, BZ["The Hinterlands"]},
		{85, BZ["Tirisfal Glades"]},
		{1497, BZ["Undercity"]},
		{28, BZ["Western Plaguelands"]},
		{40, BZ["Westfall"]},
		{11, BZ["Wetlands"]},
	}, BZ["Eastern Kingdoms"]}, -- Zone dropdown menu localized string
	{"Kalimdor", {
		{331, BZ["Ashenvale"]},
		{16, BZ["Azshara"]},
		{3524, BZ["Azuremyst Isle"]},
		{3525, BZ["Bloodmyst Isle"]},
		{148, BZ["Darkshore"]},
		{1657, BZ["Darnassus"]},
		{405, BZ["Desolace"]},
		{14, BZ["Durotar"]},
		{15, BZ["Dustwallow Marsh"]},
		{361, BZ["Felwood"]},
		{357, BZ["Feralas"]},
		{493, BZ["Moonglade"]},
		{215, BZ["Mulgore"]},
		{1637, BZ["Orgrimmar"]},
		{1377, BZ["Silithus"]},
		{406, BZ["Stonetalon Mountains"]},
		{440, BZ["Tanaris"]},
		{141, BZ["Teldrassil"]},
		{17, BZ["The Barrens"]},
		{3557, BZ["The Exodar"]},
		{400, BZ["Thousand Needles"]},
		{1638, BZ["Thunder Bluff"]},
		{1216, L["Timbermaw Hold"]}, -- Quest Log Categories must be translated exactly as shown in game
		{490, BZ["Un'Goro Crater"]},
		{618, BZ["Winterspring"]},
	}, BZ["Kalimdor"]},
	{"Outland", {
		{3522, BZ["Blade's Edge Mountains"]},
		{3483, BZ["Hellfire Peninsula"]},
		{3518, BZ["Nagrand"]},
		{3523, BZ["Netherstorm"]},
		{3520, BZ["Shadowmoon Valley"]},
		{3703, BZ["Shattrath City"]},
		{3679, L["Skettis"]}, -- Quest Log Categories must be translated exactly as shown in game
		{3519, BZ["Terokkar Forest"]},
		{3521, BZ["Zangarmarsh"]},
	}, BZ["Outland"]},
	{"Northrend", {
		{3537, BZ["Borean Tundra"]},
		{2817, BZ["Crystalsong Forest"]},
		{4024, BZ["Coldarra"]},
		{4395, BZ["Dalaran"]},
		{65, BZ["Dragonblight"]},
		{394, BZ["Grizzly Hills"]},
		{495, BZ["Howling Fjord"]},
		{210, BZ["Icecrown"]},
		{3711, BZ["Sholazar Basin"]},
		{67, BZ["The Storm Peaks"]},
		{4197, BZ["Wintergrasp"]},
		{66, BZ["Zul'Drak"]},
	}, BZ["Northrend"]},
	{"Dungeons", {
		{"Classic", {
			{719, BZ["Blackfathom Deeps"]},
			{1584, BZ["Blackrock Depths"]},
			{1583, BZ["Blackrock Spire"]},
			{2557, BZ["Dire Maul"]},
			{133, BZ["Gnomeregan"]},
			{2100, BZ["Maraudon"]},
			{2437, BZ["Ragefire Chasm"]},
			{722, BZ["Razorfen Downs"]},
			{491, BZ["Razorfen Kraul"]},
			{796, BZ["Scarlet Monastery"]},
			{2057, BZ["Scholomance"]},
			{209, BZ["Shadowfang Keep"]},
			{2017, BZ["Stratholme"]},
			{1417, BZ["Sunken Temple"]},
			{1581, BZ["The Deadmines"]},
			{717, BZ["The Stockade"]},
			{1337, BZ["Uldaman"]},
			{718, BZ["Wailing Caverns"]},
			{978, BZ["Zul'Farrak"]},
		}, L["Classic"]}, -- Zone dropdown menu localized string
		{"Burning Crusade", {
			{3790, BZ["Auchenai Crypts"]},
			{1941, BZ["Caverns of Time"]},
			{3905, BZ["Coilfang Reservoir"]},
			{3562, BZ["Hellfire Ramparts"]},
			{4095, BZ["Magisters' Terrace"]},
			{3792, BZ["Mana-Tombs"]},
			{2367, BZ["Old Hillsbrad Foothills"]},
			{3791, BZ["Sethekk Halls"]},
			{3789, BZ["Shadow Labyrinth"]},
			{3845, BZ["Tempest Keep"]},
			{3846, BZ["The Arcatraz"]},
			{2366, BZ["The Black Morass"]},
			{3713, BZ["The Blood Furnace"]},
			{3847, BZ["The Botanica"]},
			{3849, BZ["The Mechanar"]},
			{3714, BZ["The Shattered Halls"]},
			{3717, BZ["The Slave Pens"]},
			{3715, BZ["The Steamvault"]},
			{3716, BZ["The Underbog"]},
		}, L["Burning Crusade"]}, -- Zone dropdown menu localized string
		{"Wrath of the Lich King", {
			{4494, BZ["Ahn'kahet: The Old Kingdom"]},
			{3477, BZ["Azjol-Nerub"]},
			{1941, BZ["Caverns of Time"]},
			{4196, BZ["Drak'Tharon Keep"]},
			{4375, BZ["Gundrak"]},
			{4272, BZ["Halls of Lightning"]},
			{4820, BZ["Halls of Reflection"]},
			{4264, BZ["Halls of Stone"]},
			{4813, BZ["Pit of Saron"]},
			{4100, BZ["The Culling of Stratholme"]},
			{4809, BZ["The Forge of Souls"]},
			{4120, BZ["The Nexus"]},
			{4228, BZ["The Oculus"]},
			{4415, BZ["The Violet Hold"]},
			{4723, BZ["Trial of the Champion"]},
			{206, BZ["Utgarde Keep"]},
			{1196, BZ["Utgarde Pinnacle"]},
		}, L["Wrath of the Lich King"]}, -- Zone dropdown menu localized string
	}, L["Dungeons"]}, -- Zone dropdown menu localized string
	{"Raids", {
		{2677, BZ["Blackwing Lair"]},
		{3606, BZ["Hyjal Summit"]},
		{4812, BZ["Icecrown Citadel"]},
		{2562, BZ["Karazhan"]},
		{3836, BZ["Magtheridon's Lair"]},
		{2717, BZ["Molten Core"]},
		{3456, BZ["Naxxramas"]},
		{2159, BZ["Onyxia's Lair"]},
		{3429, BZ["Ruins of Ahn'Qiraj"]},
		{3428, BZ["Temple of Ahn'Qiraj"]},
		{3840, L["The Black Temple"]}, -- Quest Log Categories must be translated exactly as shown in game
		{3842, BZ["The Eye"]},
		{4500, BZ["The Eye of Eternity"]},
		{4722, BZ["Trial of the Crusader"]},
		{4273, BZ["Ulduar"]},
		{3805, BZ["Zul'Aman"]},
		{19, BZ["Zul'Gurub"]},
	}, L["Raids"]}, -- Zone dropdown menu localized string
	{"Classes", {
		{-372, classes["DEATHKNIGHT"]},
		{-263, classes["DRUID"]},
		{-261, classes["HUNTER"]},
		{-161, classes["MAGE"]},
		{-141, classes["PALADIN"]},
		{-262, classes["PRIEST"]},
		{-162, classes["ROGUE"]},
		{-82, classes["SHAMAN"]},
		{-61, classes["WARLOCK"]},
		{-81, classes["WARRIOR"]},
	}, L["Classes"]}, -- Zone dropdown menu localized string
	{"Professions", {
		{-181, L["Alchemy"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-121, L["Blacksmithing"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-304, L["Cooking"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-201, L["Engineering"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-324, L["First Aid"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-101, L["Fishing"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-24, L["Herbalism"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-371, L["Inscription"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-373, L["Jewelcrafting"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-182, L["Leatherworking"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-264, L["Tailoring"]}, -- Quest Log Categories must be translated exactly as shown in game
	}, L["Professions"]}, -- Zone dropdown menu localized string
	{"Battlegrounds", {
		{-25, L["All"]},
		{3358, BZ["Arathi Basin"]}, -- Quest Log Categories must be translated exactly as shown in game
		{2597, BZ["Alterac Valley"]}, -- Quest Log Categories must be translated exactly as shown in game
		{3820, BZ["Eye of the Storm"]}, -- Quest Log Categories must be translated exactly as shown in game
		{4710, BZ["Isle of Conquest"]}, -- Quest Log Categories must be translated exactly as shown in game
		{4384, BZ["Strand of the Ancients"]}, -- Quest Log Categories must be translated exactly as shown in game
		{3277, BZ["Warsong Gulch"]}, -- Quest Log Categories must be translated exactly as shown in game
	}, L["Battlegrounds"]}, -- Zone dropdown menu localized string
	{"Seasonal", {
		{-370, L["Brewfest"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1002, L["Children's Week"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-364, L["Darkmoon Faire"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1007, L["Day of the Dead"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1003, L["Hallow's End"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1005, L["Harvest Festival"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1004, L["Love is in the Air"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-366, L["Lunar Festival"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-369, L["Midsummer Fire Festival"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1006, L["New Year's Eve"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-374, L["Noblegarden"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1008, L["Pilgrim's Bounty"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1001, L["Winter Veil"]}, -- Quest Log Categories must be translated exactly as shown in game
	}, L["Seasonal"]}, -- Zone dropdown menu localized string
	{"Miscellaneous", {
		{-365, L["Ahn'Qiraj War Effort"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-241, L["Tournament"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-1, L["Epic"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-344, L["Legendary"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-367, L["Reputation"]}, -- Quest Log Categories must be translated exactly as shown in game
		{-368, L["Scourge Invasion"]}, -- Quest Log Categories must be translated exactly as shown in game
	}, L["Miscellaneous"]}, -- Zone dropdown menu localized string
}